
/* U7PATCH.H
  -----------

  Defines the interrupt numbers.

  Copyright (C) 2000 by Josef Drexler <jdrexler@julian.uwo.ca>

  Distributed under the terms of the GNU General Public License.  For more
  information please read the file COPYING which is included in the
  distribution.

  Do not change the below numbers unless you also change the values in
  u7runint.asm

*/


#define INT_BASE

#define INT_MOV_3       0xa0
#define INT_OP1_3	0xa1

#define INT_MOV_4	0xa9
#define INT_OP1_4	0xaa

#define INT_SOP		0xb2
#define INT_MOVIMM	0xbe
#define INT_XLAT	0xbf
#define INT_SPCL	0xc0

#define INT_FIRST       (INT_MOV_3)
#define INT_LAST	(INT_SPCL)

#if (INT_SPCL>0xdf)
#	error Too many interrupts!
#endif

/*
  Definition of the postbyte for ints INT_MOV3 to INT_OP1_4 and INT_MOVIMM

  | 7 | 6 | 5 | 4 | 3 | 2 | 1 | 0 |
  | S | D |   Memory  |  Register |

  S: 1=16/32 bit operation; 0=8 bit operation
  D: 1=memory read; 0=memory write; i.e. 1=mov reg,r/m, 0=mov r/m,reg
  Memory: Memory operand From 0 to 7: EAX ECX EDX EBX ESP EBP ESI EDI
  Register operand, same as above

  If a disp8 offset is given, a different interrupt is used and the
  displacement stored after the postbyte
*/

#define ACCESS_FILE	0
#define ACCESS_XMS	1
#define ACCESS_EMS	2

#define MEM1MB 0x100000L	// 1 Megabyte
#define VOODOOMBS 2		// how many MB of Voodoo memory we emulate
#define VOODOOSIZE (VOODOOMBS*MEM1MB)

